Pentium3でdebian 9は動くのか

Thinkpad R31にdebianをインストールしたいのだが,最新版のstretchが動くのか,一つ前のJessieじゃないといけないのか分からないので調べた.debianのサイトには以下の記述がある.

Nearly all x86-based (IA-32) processors still in use in personal computers are supported. This also includes 32-bit AMD and VIA (former Cyrix) processors, and processors like the Athlon XP and Intel P4 Xeon.

However, Debian GNU/Linux stretch will not run on 586 (Pentium) or earlier processors.

[Note] Note
If your system has a 64-bit processor from the AMD64 or Intel 64 families, you will probably want to use the installer for the amd64 architecture instead of the installer for the (32-bit) i386 architecture.

どうやらThinkpad R31に搭載されているPentium3は大丈夫そうだ.AMDとVIAも大丈夫とのことだから,K5/K6やC6/C6-2も大丈夫なのか.しかし,Pentiumはダメと書いてある.そうすると互換であるK5/K6,C6/C6-2はダメっぽいが.

我が家にあるオールドマシンにインストールできるdebianのバージョンは

 486                  Wheesy
 Pentium/PentiumMMX/K6/C6-2/PowerPC Jessie
 Pentium3/PentiumM           stretch

が正しいのだろうな.他のディストリビューションは32bit CPUをどんどん切り捨てているのに,未だにサポートしてくれるdebianはありがたい存在だ.

広告